Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Insets

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  InsetsImpl

public interface Insets
extends EObject

A representation of the model object 'Insets'.

The following features are supported:

- `Top`
- `Left`
- `Bottom`
- `Right`

See Also:
  `GMFGraphPackage.getInsets()`
** Generated **
Model:

Method Summary
`int` `getBottom()` Returns the value of the 'Bottom' attribute
`int` `getLeft()` Returns the value of the 'Left' attribute
`int` `getRight()` Returns the value of the 'Right' attribute
`int` `getTop()` Returns the value of the 'Top' attribute
`void` `setBottom(int value)` Sets the value of the '`Bottom`' attribute
`void` `setLeft(int value)` Sets the value of the '`Left`' attribute
`void` `setRight(int value)` Sets the value of the '`Right`' attribute
`void` `setTop(int value)` Sets the value of the '`Top`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTop

    public int getTop()

  Returns the value of the 'Top' attribute.

  If the meaning of the 'Top' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Top' attribute.
  See Also:
    `Insets.setTop(int)`, `GMFGraphPackage.getInsets_Top()`
  ** Generated **
  Model:

### setTop

    public void setTop(int value)

  Sets the value of the '`Top`' attribute.

  Parameters:
    `value` - the new value of the 'Top' attribute.
  See Also:
    `Insets.getTop()`
  ** Generated **

### getLeft

    public int getLeft()

  Returns the value of the 'Left' attribute.

  If the meaning of the 'Left' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left' attribute.
  See Also:
    `Insets.setLeft(int)`, `GMFGraphPackage.getInsets_Left()`
  ** Generated **
  Model:

### setLeft

    public void setLeft(int value)

  Sets the value of the '`Left`' attribute.

  Parameters:
    `value` - the new value of the 'Left' attribute.
  See Also:
    `Insets.getLeft()`
  ** Generated **

### getBottom

    public int getBottom()

  Returns the value of the 'Bottom' attribute.

  If the meaning of the 'Bottom' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bottom' attribute.
  See Also:
    `Insets.setBottom(int)`, `GMFGraphPackage.getInsets_Bottom()`
  ** Generated **
  Model:

### setBottom

    public void setBottom(int value)

  Sets the value of the '`Bottom`' attribute.

  Parameters:
    `value` - the new value of the 'Bottom' attribute.
  See Also:
    `Insets.getBottom()`
  ** Generated **

### getRight

    public int getRight()

  Returns the value of the 'Right' attribute.

  If the meaning of the 'Right' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right' attribute.
  See Also:
    `Insets.setRight(int)`, `GMFGraphPackage.getInsets_Right()`
  ** Generated **
  Model:

### setRight

    public void setRight(int value)

  Sets the value of the '`Right`' attribute.

  Parameters:
    `value` - the new value of the 'Right' attribute.
  See Also:
    `Insets.getRight()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.